# Generated by Django 4.0 on 2022-02-15 14:27

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('codex', '0010_image_delete_textannotaion'),
    ]

    operations = [
        migrations.CreateModel(
            name='ImageAnnotation',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('triangles', models.JSONField()),
                ('image', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='codex.image')),
                ('term', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='codex.term')),
            ],
        ),
    ]
